Docs
Post
POST /resourceTypes
POST
/resourceTypesCreates a resource type. A new type gets one default section and a hidden base variant; attributes are not part of this body, so place library attributes into its sections with ResourceTypes_PlaceResourceTypeAttribute. The category id comes from ResourceTypes_GetCategories and any default rule set ids from ResourceTypes_GetRuleSets. Requires ResourceTypeDatabase.Edit.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| type | string | Optional | |
| name | string | Optional | |
| label | string | Optional | |
| icon | string | Optional | |
| color | string | Optional | |
| categoryId | uuid | Optional | |
| isDockable | boolean | Optional | |
| isScheduled | boolean | Optional | |
| hasProvider | boolean | Optional | |
| hasPayor | boolean | Optional | |
| lineItemLabel | string | Optional | |
| trackingType | string | Optional | |
| defaultOwner | uuid | Optional | |
| defaultRuleSetIds | uuid[] | Optional |